Page MenuHomePhabricator

InstCombine: Preserve nuw when reassociating nuw ops [3/3]
ClosedPublic

Authored by arsenm on Jun 18 2019, 4:26 PM.

Details

Reviewers
lebedev.ri
Summary

Alive says this is OK.

Diff Detail

Event Timeline

arsenm created this revision.Jun 18 2019, 4:26 PM

Can this end up producing anything other than mul-of-add that we care about?
https://rise4fun.com/Alive/WtnX

lib/Transforms/InstCombine/InstructionCombining.cpp
595

Outdated comment?

620–621

Why is this restricted to m_APInt()?
https://rise4fun.com/Alive/WtnX

lebedev.ri requested changes to this revision.Jun 23 2019, 2:59 PM

(just marking as reviewed)

This revision now requires changes to proceed.Jun 23 2019, 2:59 PM
arsenm updated this revision to Diff 206219.Jun 24 2019, 8:06 AM

Don't restrict to just constant

lebedev.ri accepted this revision.Jun 24 2019, 8:50 AM

Looks good.

lib/Transforms/InstCombine/InstructionCombining.cpp
595

Still outdated?

This revision is now accepted and ready to land.Jun 24 2019, 8:50 AM
arsenm closed this revision.Jun 24 2019, 2:38 PM

r364235